Name:           gsm
Version:        1.0.10
Release:        0.%{mysig}
Summary:        Shared libraries for GSM speech compressor.

Group:          System Environment/Libraries
License:        MIT
URL:            http://kbs.cs.tu-berlin.de/~jutta/toast.html
Source:         ftp://ftp.cs.tu-berlin.de/pub/local/kbs/tubmik/gsm/%{name}-%{version}.tar.gz
Patch:		gsm-makefile.patch
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

%define srcver 1.0-pl10

%description
Contains runtime shared libraries for libgsm, an implementation of
the European GSM 06.10 provisional standard for full-rate speech
transcoding, prI-ETS 300 036, which uses RPE/LTP (residual pulse
excitation/long term prediction) coding at 13 kbit/s.

GSM 06.10 compresses frames of 162 13-bit samples (8 kHz sampling
rate, i.e. a frame rate of 50 Hz) into 260 bits; for compatibility
with typical UNIX applications, our implementation turns frames of 160
16-bit linear samples into 33-byte frames (1650 Bytes/s).
The quality of the algorithm is good enough for reliable speaker
recognition; even music often survives transcoding in recognizable
form (given the bandwidth limitations of 8 kHz sampling rate).

The interfaces offered are a front end modelled after compress(1), and
a library API.  Compression and decompression run faster than realtime
on most SPARCstations.  The implementation has been verified against the
ETSI standard test patterns.

%package        devel
Summary:        Static libraries and headers for %{name} development. 
Group:          Development/Libraries
Requires:       %{name} = %{version}-%{release}

%description    devel
Contains header files and development libraries for libgsm, an
implementation of the European GSM 06.10 provisional standard for
full-rate speech transcoding, prI-ETS 300 036, which uses RPE/LTP
(residual pulse excitation/long term prediction) coding at 13 kbit/s.

%prep
%setup -n gsm-%{srcver} -q
%patch -p1

%build
%ifnarch %ix86
export RPM_OPT_FLAGS="$RPM_OPT_FLAGS -fPIC";
%endif
#make -j2 doesn't work for this package !
#make %{?_smp_mflags} all
make  all

%install
rm -rf $RPM_BUILD_ROOT

# the mess we have to make when people invent their own systems over
# autotools, sigh
mkdir -p $RPM_BUILD_ROOT%{_prefix}/{lib,bin,inc}
mkdir -p $RPM_BUILD_ROOT%{_libdir}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/{man1,man3}
make install INSTALL_ROOT=$RPM_BUILD_ROOT%{_prefix}
mkdir -p $RPM_BUILD_ROOT%{_includedir}/gsm
mv $RPM_BUILD_ROOT%{_prefix}/inc/* $RPM_BUILD_ROOT%{_includedir}/gsm/
if [[ ! "%{_prefix}/lib" = "%{_libdir}"  ]]
then
  mv $RPM_BUILD_ROOT%{_prefix}/lib/libgsm.a $RPM_BUILD_ROOT%{_libdir}
fi
cp -prv $RPM_BUILD_DIR/gsm-%{srcver}/lib/*.so* $RPM_BUILD_ROOT%{_libdir}

%clean
rm -rf $RPM_BUILD_ROOT

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-,root,root,-)
%doc ChangeLog COPYRIGHT MACHINES README
%{_bindir}/tcat
%{_bindir}/toast
%{_bindir}/untoast
%{_libdir}/libgsm.so.*
%{_mandir}/man1/toast.1*

%files devel
%defattr(-,root,root,-)
%dir %{_includedir}/gsm
%{_includedir}/gsm/gsm.h
%{_libdir}/libgsm.a
%{_libdir}/libgsm.so
%{_mandir}/man3/*

%changelog
* Wed Sep 21 2005 Milan Kerslager <kerslage@linux.cz> 1.0.10-0.ker.rhel4
- rebuild for RHEL4 (package from http://rpm.livna.org/fedora/4/i386/SRPMS.lvn)

* Sat Jun 25 2005 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> 
- 1.0.10-0.lvn.8: mv libgsm.a only when needed

* Fri Dec 31 2004 Thorsten Leemhuis <fedora[AT]leemhuis[DOT]info> 
- 1.0.10-0.lvn.8: Use -fPIC on non ix86

* Tue Mar 02 2004 Thomas Vander Stichele <thomas at apestaart dot org>
- 1.0.10-0.lvn.7: moved to rpm.livna.org

* Tue Mar 02 2004 Thomas Vander Stichele <thomas at apestaart dot org>
- 1.0.10-0.fdr.7: applied patch from Ville, remove epoch since it's allowed

* Sat Sep 13 2003 Thomas Vander Stichele <thomas at apestaart dot org>
- 0:1.0.10-0.fdr.6: remove second makeinstall

* Sun Sep 07 2003 Thomas Vander Stichele <thomas at apestaart dot org>
- 0:1.0.10-0.fdr.5
- added back epochs, I surrender
- fix RPM_OPT_FLAGS hackery

* Fri Jul 18 2003 Thomas Vander Stichele <thomas at apestaart dot org>
- 1.0.10-0.fdr.4: remove epoch mentions

* Sat Jul 05 2003 Thomas Vander Stichele <thomas at apestaart dot org>
- 1.0.10-0.fdr.3
- pull in RPM_OPT_FLAGS in patch instead of using perl to wedge it in
- fix group
- -p'ize ldconfig

* Tue Jun 10 2003 Thomas Vander Stichele <thomas at apestaart dot org>
- 1.0.10-0.fdr.2
- Fix libgsm.so.* being files instead of symlinks

* Thu May 29 2003 Thomas Vander Stichele <thomas at apestaart dot org>
- 0:1.0.10-0.fdr.1: initial RPM release
